#ifndef CROSS_HPP__
#define CROSS_HPP__

#include "common/data.hpp"
#include "common/meta.hpp"

// 人员跨越线段检测

enum class Side
{
    LEFT = 0,
    RIGHT = 1
};

data::BoxArray person_cross_line(const data::BoxArray& boxes, const cv::Point& line_start, const cv::Point& line_end);

#endif // CROSS_HPP__